Forum Stats

  • 3,872,606 Users
  • 2,266,458 Discussions
  • 7,911,262 Comments

Discussions

updateing SDK1.4

843789
843789 Member Posts: 46,655 Green Ribbon
Hello everyone!
I was working fine with SDK 1.4.2_10. Then I wanted to program with the 1.5.0 platform. I downloaded SDK 1.5. I tryed to compile a program with the new features, like Scanner, but the Symbol was not found. For all the others features like Gregorian Calendary i hadn't any problem. Pay attention that I have set the path in the environment variable with the new path.
Thanks to everyone who can give me a hint.
Florina

Comments

  • 843789
    843789 Member Posts: 46,655 Green Ribbon
    GregorianCalendar has been around since 1.1, so that's not surprising.
    Find out what versions of javac and java you are really using:

    If you are compiling on the command line, or something similar:
    javac -versionjava - version
    Report back with your findings.
  • 843789
    843789 Member Posts: 46,655 Green Ribbon
    Have you installed it yet? You need to do that after you download it.
  • 843789
    843789 Member Posts: 46,655 Green Ribbon
    most likely the old java.exe and consorts are still there in /windows/system32.
    Those should be removed (as they're not overwritten when installing a new JDK for some reason).
  • 843789
    843789 Member Posts: 46,655 Green Ribbon
    I think is good if I check the Java.exe.

    About the version from the prompt it was correct: 1.5.0_10

    Of course I downloaded and installed, and set the PATH too.
  • 843789
    843789 Member Posts: 46,655 Green Ribbon
    I checked the Java.exe in windows\ system32 seems to be the new version.
    On an already working program it's enough to add an 'import java.util.Scanner;' or 'import java.util.EnumSet' to see "cannot resolve symbol" during compilation time.

    Someone knows how to unistall Java and its environment?
This discussion has been closed.